document.addEventListener('DOMContentLoaded', () => {
  const urlInput = document.getElementById('urlInput');
  const summarizeBtn = document.getElementById('summarizeBtn');
  const summaryResult = document.getElementById('summaryResult');
  const startBtn = document.getElementById('startBtn');

  startBtn.addEventListener('click', () => {
    document.getElementById('summarizer').scrollIntoView({ behavior: 'smooth' });
    urlInput.focus();
  });

  summarizeBtn.addEventListener('click', async () => {
    const url = urlInput.value;
    if (!url) {
      summaryResult.innerHTML = '<p class="error">Please enter a valid URL</p>';
      return;
    }

    try {
      summaryResult.innerHTML = '<p>Analyzing website...</p>';
      // In a real implementation, this would make an API call to a backend service
      // This is just a mock response
      setTimeout(() => {
        summaryResult.innerHTML = `
          <h3>Summary of ${url}</h3>
          <ul>
            <li>Main topic: Example summary point 1</li>
            <li>Key findings: Example summary point 2</li>
            <li>Important details: Example summary point 3</li>
          </ul>
        `;
      }, 2000);
    } catch (error) {
      summaryResult.innerHTML = '<p class="error">Error analyzing website. Please try again.</p>';
    }
  });

  // Add smooth scrolling to all anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});